require('gitsigns').setup {
  signs = {
    add          = {hl = 'DiffAdd'   , text = '+'},
    change       = {hl = 'DiffChange', text = '!'},
    delete       = {hl = 'DiffDelete', text = 'x'},
    topdelete    = {hl = 'DiffDelete', text = '-'},
    changedelete = {hl = 'DiffChange', text = '~'},
  },
  keymaps = {
    [']c']  = '<cmd>lua require("gitsigns").next_hunk()<CR>',
    ['[c']  = '<cmd>lua require("gitsigns").prev_hunk()<CR>',
    ['ghs'] = '<cmd>lua require("gitsigns").stage_hunk()<CR>',
    ['ghu'] = '<cmd>lua require("gitsigns").undo_stage_hunk()<CR>',
    ['ghr'] = '<cmd>lua require("gitsigns").reset_hunk()<CR>',
  },
  watch_index = {
    interval = 1000
  }
}
